Subject: bug#19583: nntp-open-server: wrong buffer for nnoo-change-server; breaks url-news

From: Ivan Shmakov <[email-masked]>
Date: Sat, 14 Feb 2015 07:05:59 +0000

>>>>> Lars Ingebrigtsen <[email-masked]> writes:
>>>>> Ivan Shmakov <[email-masked]> writes:

 >> This affects url-retrieve-synchronously; consider, e. g.:

 >> (let ((url-news-server "news.gmane.org"))
 >>   (url-retrieve-synchronously "news:[email-masked]"))

 >> Please thus consider the patch MIMEd.

 > I reverted the patch.

 > With it or without it, the result was the same: URL wasn't able to
 > retrieve anything but just returned the HTML below.

 > So there's a bigger problem in this area than just this.  The TLS
 > stuff you point to may be an issue, but I'm not sure how.

	That’s simple: the TLS stuff there is ought to reject
	self-signed certificates outright, and news.gmane.org just
	happens to use one.

	My guess was that setting nntp-open-connection-function to
	'nntp-open-plain-stream should overcome this issue, but it
	doesn’t.  Apparently, the variable gets reset to its “Use TLS if
	supported” default somewhere in the code (when the server is
	opened?), but I have little clue as to where that may happen,
	or where the default is stored, or how do I find it out.

	This same issue affects Gnus, but is easy to overcome by
	providing a suitable value to nntp-open-connection-function via
	the respective select method.

[…]

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A